st7/
;******************************************************************************
; LITEcomp - aplikacje
; Regulacja koloru wiecenia trjkolorowej diody LED RGB
;******************************************************************************
		.NOLIST	
		#INCLUDE "st7flite19.inc"
    .LIST 
		
;******************************************************************************
; obszar pamici danych RAM
;******************************************************************************
		BYTES 				
		SEGMENT 'ram0'	
color				ds.b	3
colorSel		ds.b	1

;******************************************************************************
; obszar pamieci programu		
;******************************************************************************
		WORDS 					
		SEGMENT 'rom' 	

;******************************************************************************
; Pocztek programu gwnego
;******************************************************************************
._reset
		CALL	init						; inicjalizacja

mainLoop
		LD	A,#%11000111
		LD	PADR,A

		BTJT	PADR, #0, mL1		; jeli wcinito przycisk S1 to skok do mL1
		CALL	selectColor			; w przeciwnym razie wywoanie procedury selectColor
mL1
		BTJT	PADR, #2, mL2		; jeli wcinito przycisk S2 to skok do mL2
		CALL	incrColor				; w przeciwnym razie wywoanie procedury incrColor
mL2
		JRA 	mainLoop 				

;******************************************************************************
; Procedura inicjalizacji ukadw peryferyjnych
;******************************************************************************
init
		LD	A, #%01010100
		LD	PWMCR, A
		CLR	BREAKCR
		CLR	PWM0CSR
		CLR	ATRH
		CLR	ATRL
		CLR	colorSel
		CLR	{color+0}
		CLR	{color+1}
		CLR	{color+2}
		LD	A, #16
		LD	ATCSR, A
		LD	A, #%00111000
		LD	PADDR, A
		LD	A, #%11111111
		LD	PAOR, A
		RET
		
;******************************************************************************
; Procedura wyboru skadowej koloru
;******************************************************************************
selectColor
		INC		colorSel
		CLR		PWMCR
		LD		A,colorSel
		CP		A,#4
		JRNE	pwm0
		CLR		colorSel
		JRA		selectColor
pwm0
		LD		A, colorSel
		CP		A,#1
		JRNE	pwm2
		BSET	PADR, #3
pwm2
		CP		A,#2
		JRNE	pwm3
		BSET	PADR, #4
pwm3
		CP		A,#3
		JRNE	pwm4
		BSET	PADR, #5
pwm4		
		BTJF	PADR, #0, *
exit
		LD		A, #%01010100
		LD		PWMCR, A
		RET

;******************************************************************************
; Procedura modyfikacji wybranej skadowej koloru
;******************************************************************************
incrColor
		LD		X, colorSel		; zaadowanie numeru koloru do X
		DEC		X
		INC		(color,X)			; inkrementacja koloru
		
		LD		A, {color+0}	;
		LD		DCR1H, A			;
		LD		A, {color+1}	; * Zaadowanie poszczeglnych skadowych koloru *
		LD		DCR2H, A			; * do odpowiednich rejestrw DCR *
		LD		A, {color+2}	;
		LD		DCR3H, A
		
		BSET	TRANCR, #0		; zezwolenie na przepisanie DCR
		BTJF	PADR, #2, *		; oczekiwanie na zwolnienie przycisku
		RET

		END
;******************************************************************************
; Koniec pliku main.asm
;******************************************************************************